IANAObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.iana

## Interface IANAObjectIdentifiers

-     public interface IANAObjectIdentifiers

  IANA: { iso(1) identifier-organization(3) dod(6) internet(1) } == IETF defined things

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `_private` 1.3.6.1.4:
    `static ASN1ObjectIdentifier` | `directory` 1.3.6.1.1: Internet directory: X.500
    `static ASN1ObjectIdentifier` | `experimental` 1.3.6.1.3:
    `static ASN1ObjectIdentifier` | `hmacMD5` IPSEC ISAKMP-Oakley hmacMD5 OID: 1.3.6.1.5.5.8.1.1
    `static ASN1ObjectIdentifier` | `hmacRIPEMD160` IPSEC ISAKMP-Oakley hmacRIPEMD160 OID: 1.3.6.1.5.5.8.1.4
    `static ASN1ObjectIdentifier` | `hmacSHA1` IPSEC ISAKMP-Oakley hmacSHA1 OID: 1.3.6.1.5.5.8.1.2
    `static ASN1ObjectIdentifier` | `hmacTIGER` IPSEC ISAKMP-Oakley hmacTIGER OID: 1.3.6.1.5.5.8.1.3
    `static ASN1ObjectIdentifier` | `id_alg` 1.3.6.1.5.5.7.6
    `static ASN1ObjectIdentifier` | `id_alg_unsigned`
    `static ASN1ObjectIdentifier` | `id_alg_xmss_hashsig` 1.3.6.1.5.5.7.6.34 id-alg-xmss-hashsig (RFC 9802)
    `static ASN1ObjectIdentifier` | `id_alg_xmssmt_hashsig` 1.3.6.1.5.5.7.6.35 id-alg-xmssmt-hashsig (RFC 9802)
    `static ASN1ObjectIdentifier` | `id_ecdsa_with_shake128`
    `static ASN1ObjectIdentifier` | `id_ecdsa_with_shake256`
    `static ASN1ObjectIdentifier` | `id_MLDSA44_ECDSA_P256_SHA256` 1.3.6.1.5.5.7.6.40 id-MLDSA44-ECDSA-P256-SHA256
    `static ASN1ObjectIdentifier` | `id_MLDSA44_Ed25519_SHA512` 1.3.6.1.5.5.7.6.39 id-MLDSA44-Ed25519-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA44_RSA2048_PKCS15_SHA256` 1.3.6.1.5.5.7.6.38 id-MLDSA44-RSA2048-PKCS15-SHA256
    `static ASN1ObjectIdentifier` | `id_MLDSA44_RSA2048_PSS_SHA256` 1.3.6.1.5.5.7.6.37 id-MLDSA44-RSA2048-PSS-SHA256
    `static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_brainpoolP256r1_SHA512` 1.3.6.1.5.5.7.6.47 id-MLDSA65-ECDSA-brainpoolP256r1-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_P256_SHA512` 1.3.6.1.5.5.7.6.45 id-MLDSA65-ECDSA-P256-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_P384_SHA512` 1.3.6.1.5.5.7.6.46 id-MLDSA65-ECDSA-P384-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA65_Ed25519_SHA512` 1.3.6.1.5.5.7.6.48 id-MLDSA65-Ed25519-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA65_RSA3072_PKCS15_SHA512` 1.3.6.1.5.5.7.6.42 id-MLDSA65-RSA3072-PKCS15-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA65_RSA3072_PSS_SHA512` 1.3.6.1.5.5.7.6.41 id-MLDSA65-RSA3072-PSS-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA65_RSA4096_PKCS15_SHA512` 1.3.6.1.5.5.7.6.44 id-MLDSA65-RSA4096-PKCS15-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA65_RSA4096_PSS_SHA512` 1.3.6.1.5.5.7.6.43 id-MLDSA65-RSA4096-PSS-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_brainpoolP384r1_SHA512` 1.3.6.1.5.5.7.6.50 id-MLDSA87-ECDSA-brainpoolP384r1-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_P384_SHA512` 1.3.6.1.5.5.7.6.49 id-MLDSA87-ECDSA-P384-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_P521_SHA512` 1.3.6.1.5.5.7.6.54 id-MLDSA87-ECDSA-P521-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA87_Ed448_SHAKE256` 1.3.6.1.5.5.7.6.51 id-MLDSA87-Ed448-SHAKE256
    `static ASN1ObjectIdentifier` | `id_MLDSA87_RSA3072_PSS_SHA512` 1.3.6.1.5.5.7.6.52 id-MLDSA87-RSA3072-PSS-SHA512
    `static ASN1ObjectIdentifier` | `id_MLDSA87_RSA4096_PSS_SHA512` 1.3.6.1.5.5.7.6.53 id-MLDSA87-RSA4096-PSS-SHA512
    `static ASN1ObjectIdentifier` | `id_MLKEM1024_ECDH_BP384_SHA3_256` 1.3.6.1.5.5.7.6.64 id-MLKEM1024-ECDH-brainpoolP384r1-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM1024_ECDH_P384_SHA3_256` 1.3.6.1.5.5.7.6.63 id-MLKEM1024-ECDH-P384-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM1024_ECDH_P521_SHA3_256` 1.3.6.1.5.5.7.6.66 id-MLKEM1024-ECDH-P521-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM1024_RSA3072_SHA3_256` 1.3.6.1.5.5.7.6.62 id-MLKEM1024-RSA3072-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM1024_X448_SHA3_256` 1.3.6.1.5.5.7.6.65 id-MLKEM1024-X448-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM768_ECDH_BP256_SHA3_256` 1.3.6.1.5.5.7.6.61 id-MLKEM768-ECDH-brainpoolP256r1-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM768_ECDH_P256_SHA3_256` 1.3.6.1.5.5.7.6.59 id-MLKEM768-ECDH-P256-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM768_ECDH_P384_SHA3_256` 1.3.6.1.5.5.7.6.60 id-MLKEM768-ECDH-P384-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM768_RSA2048_SHA3_256` 1.3.6.1.5.5.7.6.55 id-MLKEM768-RSA2048-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM768_RSA3072_SHA3_256` 1.3.6.1.5.5.7.6.56 id-MLKEM768-RSA3072-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM768_RSA4096_SHA3_256` 1.3.6.1.5.5.7.6.57 id-MLKEM768-RSA4096-SHA3-256
    `static ASN1ObjectIdentifier` | `id_MLKEM768_X25519_SHA3_256` 1.3.6.1.5.5.7.6.58 id-MLKEM768-X25519-SHA3-256
    `static ASN1ObjectIdentifier` | `id_RSASSA_PSS_SHAKE128`
    `static ASN1ObjectIdentifier` | `id_RSASSA_PSS_SHAKE256`
    `static ASN1ObjectIdentifier` | `internet` { iso(1) identifier-organization(3) dod(6) internet(1) } == IETF defined things
    `static ASN1ObjectIdentifier` | `ipsec` IPSEC base OID: 1.3.6.1.5.5.8
    `static ASN1ObjectIdentifier` | `isakmpOakley` IPSEC ISAKMP-Oakley OID: 1.3.6.1.5.5.8.1
    `static ASN1ObjectIdentifier` | `mail` 1.3.6.1.7: mail -- never really used
    `static ASN1ObjectIdentifier` | `mgmt` 1.3.6.1.2: Internet management
    `static ASN1ObjectIdentifier` | `pkix` PKIX base OID: 1.3.6.1.5.5.7
    `static ASN1ObjectIdentifier` | `security` 1.3.6.1.5: Security services
    `static ASN1ObjectIdentifier` | `security_mechanisms` IANA security mechanisms; 1.3.6.1.5.5
    `static ASN1ObjectIdentifier` | `security_nametypes` IANA security nametypes; 1.3.6.1.5.6
    `static ASN1ObjectIdentifier` | `SNMPv2` 1.3.6.1.6: SNMPv2 -- never really used

- - ### Field Detail

    - #### internet

          static final ASN1ObjectIdentifier internet

      { iso(1) identifier-organization(3) dod(6) internet(1) } == IETF defined things

    - #### directory

          static final ASN1ObjectIdentifier directory

      1.3.6.1.1: Internet directory: X.500

    - #### mgmt

          static final ASN1ObjectIdentifier mgmt

      1.3.6.1.2: Internet management

    - #### experimental

          static final ASN1ObjectIdentifier experimental

      1.3.6.1.3:

    - #### _private

          static final ASN1ObjectIdentifier _private

      1.3.6.1.4:

    - #### security

          static final ASN1ObjectIdentifier security

      1.3.6.1.5: Security services

    - #### SNMPv2

          static final ASN1ObjectIdentifier SNMPv2

      1.3.6.1.6: SNMPv2 -- never really used

    - #### mail

          static final ASN1ObjectIdentifier mail

      1.3.6.1.7: mail -- never really used

    - #### security_mechanisms

          static final ASN1ObjectIdentifier security_mechanisms

      IANA security mechanisms; 1.3.6.1.5.5

    - #### security_nametypes

          static final ASN1ObjectIdentifier security_nametypes

      IANA security nametypes; 1.3.6.1.5.6

    - #### pkix

          static final ASN1ObjectIdentifier pkix

      PKIX base OID: 1.3.6.1.5.5.7

    - #### ipsec

          static final ASN1ObjectIdentifier ipsec

      IPSEC base OID: 1.3.6.1.5.5.8

    - #### isakmpOakley

          static final ASN1ObjectIdentifier isakmpOakley

      IPSEC ISAKMP-Oakley OID: 1.3.6.1.5.5.8.1

    - #### hmacMD5

          static final ASN1ObjectIdentifier hmacMD5

      IPSEC ISAKMP-Oakley hmacMD5 OID: 1.3.6.1.5.5.8.1.1

    - #### hmacSHA1

          static final ASN1ObjectIdentifier hmacSHA1

      IPSEC ISAKMP-Oakley hmacSHA1 OID: 1.3.6.1.5.5.8.1.2

    - #### hmacTIGER

          static final ASN1ObjectIdentifier hmacTIGER

      IPSEC ISAKMP-Oakley hmacTIGER OID: 1.3.6.1.5.5.8.1.3

    - #### hmacRIPEMD160

          static final ASN1ObjectIdentifier hmacRIPEMD160

      IPSEC ISAKMP-Oakley hmacRIPEMD160 OID: 1.3.6.1.5.5.8.1.4

    - #### id_alg

          static final ASN1ObjectIdentifier id_alg

      1.3.6.1.5.5.7.6

    - #### id_RSASSA_PSS_SHAKE128

          static final ASN1ObjectIdentifier id_RSASSA_PSS_SHAKE128

    - #### id_RSASSA_PSS_SHAKE256

          static final ASN1ObjectIdentifier id_RSASSA_PSS_SHAKE256

    - #### id_ecdsa_with_shake128

          static final ASN1ObjectIdentifier id_ecdsa_with_shake128

    - #### id_ecdsa_with_shake256

          static final ASN1ObjectIdentifier id_ecdsa_with_shake256

    - #### id_alg_xmss_hashsig

          static final ASN1ObjectIdentifier id_alg_xmss_hashsig

      1.3.6.1.5.5.7.6.34 id-alg-xmss-hashsig (RFC 9802)

    - #### id_alg_xmssmt_hashsig

          static final ASN1ObjectIdentifier id_alg_xmssmt_hashsig

      1.3.6.1.5.5.7.6.35 id-alg-xmssmt-hashsig (RFC 9802)

    - #### id_alg_unsigned

          static final ASN1ObjectIdentifier id_alg_unsigned

    - #### id_MLDSA44_RSA2048_PSS_SHA256

          static final ASN1ObjectIdentifier id_MLDSA44_RSA2048_PSS_SHA256

      1.3.6.1.5.5.7.6.37 id-MLDSA44-RSA2048-PSS-SHA256

    - #### id_MLDSA44_RSA2048_PKCS15_SHA256

          static final ASN1ObjectIdentifier id_MLDSA44_RSA2048_PKCS15_SHA256

      1.3.6.1.5.5.7.6.38 id-MLDSA44-RSA2048-PKCS15-SHA256

    - #### id_MLDSA44_Ed25519_SHA512

          static final ASN1ObjectIdentifier id_MLDSA44_Ed25519_SHA512

      1.3.6.1.5.5.7.6.39 id-MLDSA44-Ed25519-SHA512

    - #### id_MLDSA44_ECDSA_P256_SHA256

          static final ASN1ObjectIdentifier id_MLDSA44_ECDSA_P256_SHA256

      1.3.6.1.5.5.7.6.40 id-MLDSA44-ECDSA-P256-SHA256

    - #### id_MLDSA65_RSA3072_PSS_SHA512

          static final ASN1ObjectIdentifier id_MLDSA65_RSA3072_PSS_SHA512

      1.3.6.1.5.5.7.6.41 id-MLDSA65-RSA3072-PSS-SHA512

    - #### id_MLDSA65_RSA3072_PKCS15_SHA512

          static final ASN1ObjectIdentifier id_MLDSA65_RSA3072_PKCS15_SHA512

      1.3.6.1.5.5.7.6.42 id-MLDSA65-RSA3072-PKCS15-SHA512

    - #### id_MLDSA65_RSA4096_PSS_SHA512

          static final ASN1ObjectIdentifier id_MLDSA65_RSA4096_PSS_SHA512

      1.3.6.1.5.5.7.6.43 id-MLDSA65-RSA4096-PSS-SHA512

    - #### id_MLDSA65_RSA4096_PKCS15_SHA512

          static final ASN1ObjectIdentifier id_MLDSA65_RSA4096_PKCS15_SHA512

      1.3.6.1.5.5.7.6.44 id-MLDSA65-RSA4096-PKCS15-SHA512

    - #### id_MLDSA65_ECDSA_P256_SHA512

          static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_P256_SHA512

      1.3.6.1.5.5.7.6.45 id-MLDSA65-ECDSA-P256-SHA512

    - #### id_MLDSA65_ECDSA_P384_SHA512

          static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_P384_SHA512

      1.3.6.1.5.5.7.6.46 id-MLDSA65-ECDSA-P384-SHA512

    - #### id_MLDSA65_ECDSA_brainpoolP256r1_SHA512

          static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_brainpoolP256r1_SHA512

      1.3.6.1.5.5.7.6.47 id-MLDSA65-ECDSA-brainpoolP256r1-SHA512

    - #### id_MLDSA65_Ed25519_SHA512

          static final ASN1ObjectIdentifier id_MLDSA65_Ed25519_SHA512

      1.3.6.1.5.5.7.6.48 id-MLDSA65-Ed25519-SHA512

    - #### id_MLDSA87_ECDSA_P384_SHA512

          static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_P384_SHA512

      1.3.6.1.5.5.7.6.49 id-MLDSA87-ECDSA-P384-SHA512

    - #### id_MLDSA87_ECDSA_brainpoolP384r1_SHA512

          static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_brainpoolP384r1_SHA512

      1.3.6.1.5.5.7.6.50 id-MLDSA87-ECDSA-brainpoolP384r1-SHA512

    - #### id_MLDSA87_Ed448_SHAKE256

          static final ASN1ObjectIdentifier id_MLDSA87_Ed448_SHAKE256

      1.3.6.1.5.5.7.6.51 id-MLDSA87-Ed448-SHAKE256

    - #### id_MLDSA87_RSA3072_PSS_SHA512

          static final ASN1ObjectIdentifier id_MLDSA87_RSA3072_PSS_SHA512

      1.3.6.1.5.5.7.6.52 id-MLDSA87-RSA3072-PSS-SHA512

    - #### id_MLDSA87_RSA4096_PSS_SHA512

          static final ASN1ObjectIdentifier id_MLDSA87_RSA4096_PSS_SHA512

      1.3.6.1.5.5.7.6.53 id-MLDSA87-RSA4096-PSS-SHA512

    - #### id_MLDSA87_ECDSA_P521_SHA512

          static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_P521_SHA512

      1.3.6.1.5.5.7.6.54 id-MLDSA87-ECDSA-P521-SHA512

    - #### id_MLKEM768_RSA2048_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM768_RSA2048_SHA3_256

      1.3.6.1.5.5.7.6.55 id-MLKEM768-RSA2048-SHA3-256

    - #### id_MLKEM768_RSA3072_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM768_RSA3072_SHA3_256

      1.3.6.1.5.5.7.6.56 id-MLKEM768-RSA3072-SHA3-256

    - #### id_MLKEM768_RSA4096_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM768_RSA4096_SHA3_256

      1.3.6.1.5.5.7.6.57 id-MLKEM768-RSA4096-SHA3-256

    - #### id_MLKEM768_X25519_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM768_X25519_SHA3_256

      1.3.6.1.5.5.7.6.58 id-MLKEM768-X25519-SHA3-256

    - #### id_MLKEM768_ECDH_P256_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM768_ECDH_P256_SHA3_256

      1.3.6.1.5.5.7.6.59 id-MLKEM768-ECDH-P256-SHA3-256

    - #### id_MLKEM768_ECDH_P384_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM768_ECDH_P384_SHA3_256

      1.3.6.1.5.5.7.6.60 id-MLKEM768-ECDH-P384-SHA3-256

    - #### id_MLKEM768_ECDH_BP256_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM768_ECDH_BP256_SHA3_256

      1.3.6.1.5.5.7.6.61 id-MLKEM768-ECDH-brainpoolP256r1-SHA3-256

    - #### id_MLKEM1024_RSA3072_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM1024_RSA3072_SHA3_256

      1.3.6.1.5.5.7.6.62 id-MLKEM1024-RSA3072-SHA3-256

    - #### id_MLKEM1024_ECDH_P384_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM1024_ECDH_P384_SHA3_256

      1.3.6.1.5.5.7.6.63 id-MLKEM1024-ECDH-P384-SHA3-256

    - #### id_MLKEM1024_ECDH_BP384_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM1024_ECDH_BP384_SHA3_256

      1.3.6.1.5.5.7.6.64 id-MLKEM1024-ECDH-brainpoolP384r1-SHA3-256

    - #### id_MLKEM1024_X448_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM1024_X448_SHA3_256

      1.3.6.1.5.5.7.6.65 id-MLKEM1024-X448-SHA3-256

    - #### id_MLKEM1024_ECDH_P521_SHA3_256

          static final ASN1ObjectIdentifier id_MLKEM1024_ECDH_P521_SHA3_256

      1.3.6.1.5.5.7.6.66 id-MLKEM1024-ECDH-P521-SHA3-256